ru.bitel.bgbilling.modules.inet.access.sa.event

## Class InetSaServModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.inet.access.sa.event.InetSaServModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetSaServModifyEvent
      extends PartitionedQueueEvent

  Задание на изменение inetServ на устройстве.
  Выполняется одним Access сервером.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE_NAME`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetSaServModifyEvent()`
    `` | `InetSaServModifyEvent(int moduleId, int syncDeviceId, InetServ oldInetServ, InetServ newInetServ, short newInetServState, java.util.List<InetServOption> newInetServOptionList)`
    `` | `InetSaServModifyEvent(int moduleId, int syncDeviceId, InetServ oldInetServ, InetServ newInetServ, short newInetServState, java.util.List<InetServOption> newInetServOptionList, boolean initServ)`
    `` | `InetSaServModifyEvent(int moduleId, int deviceId, int syncDeviceId, InetServ oldInetServ, InetServ newInetServ, short newInetServState, java.util.List<InetServOption> newInetServOptionList, boolean initServ)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetServ` | `getNewInetServ()`
    `java.util.List<InetServOption>` | `getNewInetServOptionList()`
    `short` | `getNewInetServState()`
    `InetServ` | `getOldInetServ()`
    `protected java.lang.String` | `getPackageName()`
    `protected int` | `getPartitionValue()`
    `boolean` | `isInitServ()` Это событие инициализации (пересинхронизации)?
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `ServiceActivatorEvent` | `toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access, ConnectionSet connectionSet, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE_NAME

          public static final java.lang.String PACKAGE_NAME

  - ### Constructor Detail

    - #### InetSaServModifyEvent

          protected InetSaServModifyEvent()

    - #### InetSaServModifyEvent

          public InetSaServModifyEvent(int moduleId,
                                       int syncDeviceId,
                                       InetServ oldInetServ,
                                       InetServ newInetServ,
                                       short newInetServState,
                                       java.util.List<InetServOption> newInetServOptionList)

      Parameters:
        `moduleId` -
        `deviceId` - Код устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного). Иначе = 0.
        `oldInetServ` -
        `newInetServ` -
        `newInetServState` -
        `newInetServOptionList` -

    - #### InetSaServModifyEvent

          public InetSaServModifyEvent(int moduleId,
                                       int syncDeviceId,
                                       InetServ oldInetServ,
                                       InetServ newInetServ,
                                       short newInetServState,
                                       java.util.List<InetServOption> newInetServOptionList,
                                       boolean initServ)

      Parameters:
        `moduleId` -
        `deviceId` - Код устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного). Иначе = 0.
        `oldInetServ` -
        `newInetServ` -
        `newInetServState` -
        `newInetServOptionList` -

    - #### InetSaServModifyEvent

          public InetSaServModifyEvent(int moduleId,
                                       int deviceId,
                                       int syncDeviceId,
                                       InetServ oldInetServ,
                                       InetServ newInetServ,
                                       short newInetServState,
                                       java.util.List<InetServOption> newInetServOptionList,
                                       boolean initServ)

      Parameters:
        `moduleId` - ID модуля.
        `deviceId` - ID устройства, для которого должна вызваться синхронизация
        `syncDeviceId` - ID устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного)
        `oldInetServ` -
        `newInetServ` -
        `newInetServState` -
        `newInetServOptionList` -
        `initServ` -

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getOldInetServ

          public InetServ getOldInetServ()

    - #### getNewInetServ

          public InetServ getNewInetServ()

    - #### getNewInetServState

          public short getNewInetServState()

    - #### getNewInetServOptionList

          public java.util.List<InetServOption> getNewInetServOptionList()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toSaEvent

          public ServiceActivatorEvent toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access,
                                                 ConnectionSet connectionSet,
                                                 java.util.Date now)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isInitServ

          public boolean isInitServ()

      Это событие инициализации (пересинхронизации)?
      Returns:

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`